mscorlib 2.0.0.0 4.0.0.0 System.Security.Policy.EvidenceBase System.Security.Policy.IBuiltInEvidence System.Security.Policy.IIdentityPermissionFactory System.Runtime.InteropServices.ComVisible(true)

The presence of evidence produces a in the grant set. If there is a for , the that corresponds to the evidence is compared with the demanded permission.

Confirms that a code assembly originates in the global assembly cache (GAC) as evidence for policy evaluation. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The constructor sets no property values because a object has no properties.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  Creates an equivalent copy of the current object.

  An equivalent copy of .

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The can be used to determine whether the calling code is in the global assembly cache.

  Creates a new identity permission that corresponds to the current object.

  A new identity permission that corresponds to the current object.

  The from which to construct the identity permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  objects have no properties to distinguish one from another, so all objects are equal.

  Indicates whether the current object is equivalent to the specified object.

  true if is a object; otherwise, false.

  The object to compare with the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  The method returns 0 (zero) because objects have no properties to distinguish one from another.

  Returns a hash code for the current object.

  A hash code for the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.String

  Returns the XML encoding for the current object.

  Returns a string representation of the current object.

  A string representation of the current object.